summaryrefslogtreecommitdiffstats
path: root/iptables/tests/shell/testcases/chain/0001duplicate_1
diff options
context:
space:
mode:
Diffstat (limited to 'iptables/tests/shell/testcases/chain/0001duplicate_1')
-rwxr-xr-xiptables/tests/shell/testcases/chain/0001duplicate_111
1 files changed, 11 insertions, 0 deletions
diff --git a/iptables/tests/shell/testcases/chain/0001duplicate_1 b/iptables/tests/shell/testcases/chain/0001duplicate_1
new file mode 100755
index 00000000..6d42cecf
--- /dev/null
+++ b/iptables/tests/shell/testcases/chain/0001duplicate_1
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+$IPTABLES -t filter -N c1
+$IPTABLES -t filter -N c1
+
+if [ $? -eq 0 ]; then
+ echo "E: Duplicate chains" >&2
+ exit 0
+fi